# \Thelia\Model\BaseTaxRuleI18nQuery

Base class that represents a query for the 'tax_rule_i18n' table.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByLocale()
filterByTaxRule()
joinTaxRule()
useTaxRuleQuery()
prune()
doDeleteAll()
delete()
orderById()
orderByLocale()
groupById()
groupByLocale()
leftJoin()
rightJoin()
innerJoin()
leftJoinTaxRule()
rightJoinTaxRule()
innerJoinTaxRule()
findOne()
findOneOrCreate()
findOneById()
findOneByLocale()
findById()
findByLocale()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A
abstract

File
  Model/Base/TaxRuleI18nQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\TaxRuleI18nQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\TaxRuleI18nQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\TaxRuleI18nQuery

Returns a new ChildTaxRuleI18nQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\TaxRuleI18nQuery

#

static

## Tags

None found

### findPk()

    findPk( $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\TaxRuleI18n|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(array(12, 34), $con);`

#### Parameters

| $key |
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\TaxRuleI18n|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\TaxRuleI18nQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\TaxRuleI18nQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\TaxRuleI18nQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\TaxRuleI18nQuery —

The current query, for fluid interface

#

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\TaxRuleI18nQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\TaxRuleI18nQuery —

The current query, for fluid interface

#

See also

## Tags

None found

### filterByLocale()

    filterByLocale(string $locale, string $comparison) : \Thelia\Model\TaxRuleI18nQuery

Filter the query on the locale column

Example usage: `$query->filterByLocale('fooValue'); // WHERE locale = 'fooValue' $query->filterByLocale('%fooValue%'); // WHERE locale LIKE '%fooValue%'`

#### Parameters

string | $locale | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\TaxRuleI18nQuery —

The current query, for fluid interface

#

## Tags

None found

### filterByTaxRule()

    filterByTaxRule(\Thelia\Model\TaxRule|\Propel\Runtime\Collection\ObjectCollection $taxRule, string $comparison) : \Thelia\Model\TaxRuleI18nQuery

Filter the query by a related \Thelia\Model\TaxRule object

#### Parameters

\Thelia\Model\TaxRule|\Propel\Runtime\Collection\ObjectCollection | $taxRule | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\TaxRuleI18nQuery —

The current query, for fluid interface

#

## Tags

None found

### joinTaxRule()

    joinTaxRule(string $relationAlias, string $joinType) : \Thelia\Model\TaxRuleI18nQuery

Adds a JOIN clause to the query using the TaxRule relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\TaxRuleI18nQuery —

The current query, for fluid interface

#

## Tags

None found

### useTaxRuleQuery()

    useTaxRuleQuery(string $relationAlias, string $joinType) : \Thelia\Model\TaxRuleQuery

Use the TaxRule relation TaxRule object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\TaxRuleQuery —

A secondary query class using the current class as primary query

#

See also

## Tags

None found

### prune()

    prune(\Thelia\Model\TaxRuleI18n $taxRuleI18n) : \Thelia\Model\TaxRuleI18nQuery

Exclude object from result

#### Parameters

\Thelia\Model\TaxRuleI18n | $taxRuleI18n | Object to remove from the list of results

#### Returns

\Thelia\Model\TaxRuleI18nQuery —

The current query, for fluid interface

#

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the tax_rule_i18n table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildTaxRuleI18n or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\TaxRuleI18nQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\TaxRuleI18nQuery

#

## Tags

None found

### orderByLocale()

    orderByLocale($order =) : \Thelia\Model\TaxRuleI18nQuery

Order by the locale column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\TaxRuleI18nQuery

#

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\TaxRuleI18nQuery

Group by the id column

#### Returns

\Thelia\Model\TaxRuleI18nQuery

#

## Tags

None found

### groupByLocale()

    groupByLocale() : \Thelia\Model\TaxRuleI18nQuery

Group by the locale column

#### Returns

\Thelia\Model\TaxRuleI18nQuery

#

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\TaxRuleI18nQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\TaxRuleI18nQuery

#

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\TaxRuleI18nQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\TaxRuleI18nQuery

#

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\TaxRuleI18nQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\TaxRuleI18nQuery

#

## Tags

None found

### leftJoinTaxRule()

    leftJoinTaxRule($relationAlias =) : \Thelia\Model\TaxRuleI18nQuery

Adds a LEFT JOIN clause to the query using the TaxRule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\TaxRuleI18nQuery

#

## Tags

None found

### rightJoinTaxRule()

    rightJoinTaxRule($relationAlias =) : \Thelia\Model\TaxRuleI18nQuery

Adds a RIGHT JOIN clause to the query using the TaxRule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\TaxRuleI18nQuery

#

## Tags

None found

### innerJoinTaxRule()

    innerJoinTaxRule($relationAlias =) : \Thelia\Model\TaxRuleI18nQuery

Adds a INNER JOIN clause to the query using the TaxRule relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\TaxRuleI18nQuery

#

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\TaxRuleI18n

Return the first ChildTaxRuleI18n matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\TaxRuleI18n

#

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\TaxRuleI18n

Return the first ChildTaxRuleI18n matching the query, or a new ChildTaxRuleI18n object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\TaxRuleI18n

#

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\TaxRuleI18n

Return the first ChildTaxRuleI18n filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\TaxRuleI18n

#

## Tags

None found

### findOneByLocale()

    findOneByLocale(string $locale) : \Thelia\Model\TaxRuleI18n

Return the first ChildTaxRuleI18n filtered by the locale column

#### Parameters

string | $locale |

#### Returns

\Thelia\Model\TaxRuleI18n

#

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildTaxRuleI18n objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

## Tags

None found

### findByLocale()

    findByLocale(string $locale) : array

Return ChildTaxRuleI18n objects filtered by the locale column

#### Parameters

string | $locale |

#### Returns

array

#

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\TaxRuleI18n

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\TaxRuleI18n —

A model object, or null if the key is not found

#

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\TaxRuleI18n|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\TaxRuleI18n|array|mixed —

the result, formatted by the current formatter

#

## Tags

None found

### TaxRuleI18nQuery.php